Package fr.gouv.vitam.worker.core.plugin.probativevalue.pojo

# Enum Class ChecksInformation

java.lang.Object
java.lang.Enum<ChecksInformation>
fr.gouv.vitam.worker.core.plugin.probativevalue.pojo.ChecksInformation

All Implemented Interfaces:
  `Serializable`, `Comparable<ChecksInformation>`, `Constable`

public enum ChecksInformation extends Enum<ChecksInformation>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ChecksInformation.CheckedItem`
  `static enum`
  `ChecksInformation.ChecksAction`
  `static enum`
  `ChecksInformation.ChecksSourceDestination`
  `static enum`
  `ChecksInformation.ChecksType`

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EVENTS_OBJECT_GROUP_DIGEST_DATABASE_TRACEABILITY_COMPARISON`
  `EVENTS_OPERATION_DATABASE_TRACEABILITY_COMPARISON`
  `FILE_DIGEST_DATABASE_TRACEABILITY_COMPARISON`
  `FILE_DIGEST_LFC_DATABASE_COMPARISON`
  `FILE_DIGEST_OFFER_DATABASE_COMPARISON`
  `MERKLE_OBJECT_GROUP_DIGEST_COMPUTATION_ADDITIONAL_TRACEABILITY_COMPARISON`
  `MERKLE_OBJECT_GROUP_DIGEST_COMPUTATION_TRACEABILITY_COMPARISON`
  `MERKLE_OBJECT_GROUP_DIGEST_DATABASE_TRACEABILITY_COMPARISON`
  `MERKLE_OPERATION_DIGEST_COMPUTATION_ADDITIONAL_TRACEABILITY_COMPARISON`
  `MERKLE_OPERATION_DIGEST_COMPUTATION_TRACEABILITY_COMPARISON`
  `MERKLE_OPERATION_DIGEST_DATABASE_TRACEABILITY_COMPARISON`
  `PREVIOUS_TIMESTAMP_OBJECT_GROUP_DATABASE_TRACEABILITY_COMPARISON`
  `PREVIOUS_TIMESTAMP_OBJECT_GROUP_DATABASE_TRACEABILITY_VALIDATION`
  `PREVIOUS_TIMESTAMP_OPERATION_DATABASE_TRACEABILITY_COMPARISON`
  `PREVIOUS_TIMESTAMP_OPERATION_DATABASE_TRACEABILITY_VALIDATION`
  `TIMESTAMP_OBJECT_GROUP_COMPUTATION_TRACEABILITY_COMPARISON`
  `TIMESTAMP_OBJECT_GROUP_DATABASE_TRACEABILITY_COMPARISON`
  `TIMESTAMP_OBJECT_GROUP_DATABASE_TRACEABILITY_VALIDATION`
  `TIMESTAMP_OPERATION_COMPUTATION_TRACEABILITY_COMPARISON`
  `TIMESTAMP_OPERATION_DATABASE_TRACEABILITY_COMPARISON`
  `TIMESTAMP_OPERATION_DATABASE_TRACEABILITY_VALIDATION`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final ChecksInformation.ChecksAction`
  `action`
  `final ChecksInformation.ChecksType`
  `checksType`
  `final ChecksInformation.ChecksSourceDestination`
  `destination`
  `final String`
  `explanation`
  `final ChecksInformation.CheckedItem`
  `item`
  `final ChecksInformation.ChecksSourceDestination`
  `source`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static ChecksInformation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ChecksInformation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FILE_DIGEST_OFFER_DATABASE_COMPARISON

    public static final ChecksInformation FILE_DIGEST_OFFER_DATABASE_COMPARISON

  - ### FILE_DIGEST_LFC_DATABASE_COMPARISON

    public static final ChecksInformation FILE_DIGEST_LFC_DATABASE_COMPARISON

  - ### FILE_DIGEST_DATABASE_TRACEABILITY_COMPARISON

    public static final ChecksInformation FILE_DIGEST_DATABASE_TRACEABILITY_COMPARISON

  - ### EVENTS_OBJECT_GROUP_DIGEST_DATABASE_TRACEABILITY_COMPARISON

    public static final ChecksInformation EVENTS_OBJECT_GROUP_DIGEST_DATABASE_TRACEABILITY_COMPARISON

  - ### EVENTS_OPERATION_DATABASE_TRACEABILITY_COMPARISON

    public static final ChecksInformation EVENTS_OPERATION_DATABASE_TRACEABILITY_COMPARISON

  - ### MERKLE_OPERATION_DIGEST_DATABASE_TRACEABILITY_COMPARISON

    public static final ChecksInformation MERKLE_OPERATION_DIGEST_DATABASE_TRACEABILITY_COMPARISON

  - ### MERKLE_OPERATION_DIGEST_COMPUTATION_TRACEABILITY_COMPARISON

    public static final ChecksInformation MERKLE_OPERATION_DIGEST_COMPUTATION_TRACEABILITY_COMPARISON

  - ### MERKLE_OPERATION_DIGEST_COMPUTATION_ADDITIONAL_TRACEABILITY_COMPARISON

    public static final ChecksInformation MERKLE_OPERATION_DIGEST_COMPUTATION_ADDITIONAL_TRACEABILITY_COMPARISON

  - ### MERKLE_OBJECT_GROUP_DIGEST_DATABASE_TRACEABILITY_COMPARISON

    public static final ChecksInformation MERKLE_OBJECT_GROUP_DIGEST_DATABASE_TRACEABILITY_COMPARISON

  - ### MERKLE_OBJECT_GROUP_DIGEST_COMPUTATION_TRACEABILITY_COMPARISON

    public static final ChecksInformation MERKLE_OBJECT_GROUP_DIGEST_COMPUTATION_TRACEABILITY_COMPARISON

  - ### MERKLE_OBJECT_GROUP_DIGEST_COMPUTATION_ADDITIONAL_TRACEABILITY_COMPARISON

    public static final ChecksInformation MERKLE_OBJECT_GROUP_DIGEST_COMPUTATION_ADDITIONAL_TRACEABILITY_COMPARISON

  - ### TIMESTAMP_OPERATION_DATABASE_TRACEABILITY_VALIDATION

    public static final ChecksInformation TIMESTAMP_OPERATION_DATABASE_TRACEABILITY_VALIDATION

  - ### TIMESTAMP_OPERATION_DATABASE_TRACEABILITY_COMPARISON

    public static final ChecksInformation TIMESTAMP_OPERATION_DATABASE_TRACEABILITY_COMPARISON

  - ### TIMESTAMP_OPERATION_COMPUTATION_TRACEABILITY_COMPARISON

    public static final ChecksInformation TIMESTAMP_OPERATION_COMPUTATION_TRACEABILITY_COMPARISON

  - ### TIMESTAMP_OBJECT_GROUP_DATABASE_TRACEABILITY_VALIDATION

    public static final ChecksInformation TIMESTAMP_OBJECT_GROUP_DATABASE_TRACEABILITY_VALIDATION

  - ### TIMESTAMP_OBJECT_GROUP_DATABASE_TRACEABILITY_COMPARISON

    public static final ChecksInformation TIMESTAMP_OBJECT_GROUP_DATABASE_TRACEABILITY_COMPARISON

  - ### TIMESTAMP_OBJECT_GROUP_COMPUTATION_TRACEABILITY_COMPARISON

    public static final ChecksInformation TIMESTAMP_OBJECT_GROUP_COMPUTATION_TRACEABILITY_COMPARISON

  - ### PREVIOUS_TIMESTAMP_OPERATION_DATABASE_TRACEABILITY_VALIDATION

    public static final ChecksInformation PREVIOUS_TIMESTAMP_OPERATION_DATABASE_TRACEABILITY_VALIDATION

  - ### PREVIOUS_TIMESTAMP_OPERATION_DATABASE_TRACEABILITY_COMPARISON

    public static final ChecksInformation PREVIOUS_TIMESTAMP_OPERATION_DATABASE_TRACEABILITY_COMPARISON

  - ### PREVIOUS_TIMESTAMP_OBJECT_GROUP_DATABASE_TRACEABILITY_VALIDATION

    public static final ChecksInformation PREVIOUS_TIMESTAMP_OBJECT_GROUP_DATABASE_TRACEABILITY_VALIDATION

  - ### PREVIOUS_TIMESTAMP_OBJECT_GROUP_DATABASE_TRACEABILITY_COMPARISON

    public static final ChecksInformation PREVIOUS_TIMESTAMP_OBJECT_GROUP_DATABASE_TRACEABILITY_COMPARISON

- ## Field Details

  - ### checksType

    public final ChecksInformation.ChecksType checksType

  - ### source

    public final ChecksInformation.ChecksSourceDestination source

  - ### destination

    public final ChecksInformation.ChecksSourceDestination destination

  - ### action

    public final ChecksInformation.ChecksAction action

  - ### item

    public final ChecksInformation.CheckedItem item

  - ### explanation

    public final String explanation

- ## Method Details

  - ### values

    public static ChecksInformation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ChecksInformation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ChecksInformation>`